#!/bin/bash

TEMPLATES_DIR="/home/stack/templates/"

openstack overcloud deploy \
  --templates \
  -r $TEMPLATES_DIR/roles_data.yaml \
  -e $TEMPLATES_DIR/01_core_params.yaml \
  -e $TEMPLATES_DIR/02_role_based_params.yaml \
  -e $TEMPLATES_DIR/10_identity_params.yaml \
  -e $TEMPLATES_DIR/12_networking_params.yaml \
  -e $TEMPLATES_DIR/13_compute_params.yaml \
  -e $TEMPLATES_DIR/17_timezone_params.yaml \
  -e $TEMPLATES_DIR/network-isolation.yaml \
  -e $TEMPLATES_DIR/network-environment.yaml \
  -e $TEMPLATES_DIR/scheduler_hints_env.yaml \
  -e $TEMPLATES_DIR/monitoring_tools.yaml \
  -e $TEMPLATES_DIR/rhel-registration/environment-rhel-registration.yaml \
  -e $TEMPLATES_DIR/rhel-registration/rhel-registration-resource-registry.yaml \
  -e $TEMPLATES_DIR/custom-domain.yaml \
  -e $TEMPLATES_DIR/overcloud_images.yaml \
  -e /usr/share/openstack-tripleo-heat-templates/environments/major-upgrade-composable-steps-docker.yaml \
  -t 150
